<ion-content [fullscreen]="true" [scrollEvents]="true">
    <div id="container" class="mt-28" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-md py-10 pb-20 px-3 md:px-0 min-h-550">
            <div class="pt-8 mb-20">
                <div class="text-center text-3xl md:text-4xl font-medium px-4 md:px-0 capitalize">
                    Quên mật khẩu
                </div>
                <div class="md:col-span-8 col-span-12">
                    <div class="grid grid-cols-12 row-login justify-center md:px-5 px-0 pt-3 lg:pt-5">
                        <div class="col-span-12 md:col-start-2 md:col-end-12 px-8 md:px-0">
                            <form [formGroup]="forgotPasswordFormGroup">
                                <div class="text-danger" *ngIf="err">
                                    *Email không tồn tại
                                </div>
                                <div class="row-input-email">
                                    <div class="col-input-email">
                                        <mat-form-field class="w-full">
                                            <mat-label>Email</mat-label>
                                            <input matInput formControlName="email"  (ngModelChange)="
                                                                checkLoading($event)
                                                            " placeholder="Email" required />
                                            <mat-error *ngIf="
                                                                forgotPasswordFormGroup.hasError(
                                                                    'required',
                                                                    'email'
                                                                )
                                                            ">
                                                Email là bắt buộc
                                            </mat-error>
                                            <mat-error *ngIf="
                                                                forgotPasswordFormGroup.hasError(
                                                                    'email',
                                                                    'email'
                                                                )
                                                            ">
                                                Email không hợp lệ
                                            </mat-error>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <!-- <div class="grid grid-cols-12 mt-3 mb-2 justify-center">
                                    <div class="col-start-2 col-end-12 md:col-start-3 md:col-end-11">
                                        <button class="w-full " type="submit" mat-raised-button
                                            [disabled]="isLoading" (click)="forgot()">
                                            Tiếp tục
                                            <mat-icon style="
                                                                float: right;
                                                                padding-top: 7px;
                                                            ">arrow_right_alt</mat-icon>
                                        </button>
                                        <div class="py-1 back-login">
                                            <mat-icon class="icon">keyboard_backspace</mat-icon>
                                            <a class="text-black margin-left-20px" routerLink="/auth/login">Trở lại trang đăng nhặp</a>
                                        </div>
                                    </div>
                                </div> -->

                                <div class="mb-5 md:mb-0">
                                    <div class="grid grid-cols-12 justify-center mt-2">
                                        <div class="md:col-start-3 md:col-end-11 lg:col-start-4 lg:col-end-10 col-start-2 col-end-12 col-btn-fp px-2">
                                            <button class="w-full bg-custom" type="submit" mat-raised-button
                                                [disabled]="isLoading" (click)="forgot()">
                                                Tiếp tục
                                                <mat-icon style="
                                                        float: right;
                                                        padding-top: 7px;
                                                ">arrow_right_alt</mat-icon>
                                            </button>
                                        </div>
                                    </div>
                                    <div class="grid grid-cols-12 justify-center">
                                        <div class="md:col-start-3 md:col-end-11 lg:col-start-4 lg:col-end-10 col-start-3 col-end-11 col-btn-fp md:px-2 px-0">
                                            <div class="back-register mt-1 justify-center text-center md:text-center">
                                                <mat-icon class="mat-icon-size">keyboard_backspace</mat-icon>
                                                <a routerLink="/auth/login" class="margin-left-20px text-black">Trở lại trang đăng nhặp</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <div class="space"></div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <app-footer></app-footer>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>

</ion-content>